distinct_prepare {dplyr} | R Documentation

## Same basic philosophy as group_by_prepare(): lazy_dots comes in, list of data and vars (character vector) comes out.

### Description

`*_prepare()` performs standard manipulation that is needed prior to actual data processing. They are only be needed by packages that implement dplyr backends.

### Usage

    distinct_prepare(.data, vars, group_vars = character(),
      .keep_all = FALSE)

    group_by_prepare(.data, ..., .dots = list(), add = FALSE)

### Value

A list

`data` | Modified tbl
`groups` | Modified groups

[Package dplyr version 0.8.0.1 Index]